Bug 832589 - Install pauses with dependency error in linux firmware
Install pauses with dependency error in linux firmware
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: linux-firmware (Show other bugs)
15
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 16:50 EDT by Joshua Kugler
Modified: 2012-06-27 13:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 13:42:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Kugler 2012-06-15 16:50:49 EDT
Description of problem:


Version-Release number of selected component (if applicable): 20120206-0.0.git068f81


How reproducible: Every time


Steps to Reproduce:
1. Import Fedora 15 DVD into Cobbler
2. Import Fedora 15 Updates into Cobbler
3. Make updates available at install time.
  
Actual results:
I'm getting a message saying "some of the packages you have selected for install are missing dependencies..." In the box it says "linux-firmware-20120206-0.0.git068f81.fc15.noarch requires netxen-firmware."

Expected results:
Installs without needing human intervention (this is a kickstart install). We do not request install of linux-firmware in any of our kickstarts.

Additional info:
Comment 1 Josh Boyer 2012-06-15 16:53:40 EDT
F15 is going EOL in 2 weeks.  We're not going to get this fixed before EOL.

If you do this with F16 or F17, do you see the same issue?
Comment 2 Joshua Kugler 2012-06-15 22:12:29 EDT
Josh,

Thanks for the comment.

The thing is, I can't try F16 or F17, as much as I'd like to.

This is an external client requirement (Kernel 2.6.38), thus we have to use Fedora 15.
Comment 3 Josh Boyer 2012-06-16 08:04:30 EDT
(In reply to comment #2)
> Josh,
> 
> Thanks for the comment.
> 
> The thing is, I can't try F16 or F17, as much as I'd like to.
> 
> This is an external client requirement (Kernel 2.6.38), thus we have to use
> Fedora 15.

If you require 2.6.38, then you don't want to use updates during the install.  That will bring in 2.6.43.8 instead of 2.6.38.
Comment 4 Joshua Kugler 2012-06-16 22:14:40 EDT
Hmm...good point. We just need 2.6.38 available to us so we can compile against it, and boot up with it. Will Fedora 17 boot with a 2.6.38 kernel (compiled with a kernel SRPM under Fedora 17)?
Comment 5 Josh Boyer 2012-06-18 07:53:29 EDT
(In reply to comment #4)
> Hmm...good point. We just need 2.6.38 available to us so we can compile
> against it, and boot up with it. Will Fedora 17 boot with a 2.6.38 kernel
> (compiled with a kernel SRPM under Fedora 17)?

Probably, though I haven't personally tried that and it wouldn't be supported.
Comment 6 David Woodhouse 2012-06-18 08:00:58 EDT
(In reply to comment #2)
> This is an external client requirement (Kernel 2.6.38), thus we have to use
> Fedora 15.

Or "thus we need to educate our client better, to avoid letting them down by providing them with a broken solution that might have been what they *asked* for, but wasn't what they *needed*".

That or "find a better client", I suppose. But the point in clients is that they don't have the wit to do it for themselves; that's why they need us. So we have a duty to actually do things right for them.
Comment 7 Joshua Kugler 2012-06-27 13:42:21 EDT
This was "solved" on our end by taking the SRPM, modifying the spec file not require the offending package, and putting that package in our own private repo, which is available during install time.

Note You need to log in before you can comment on or make changes to this bug.